Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/SelfTest/src/test.cpp	(revision 101)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/SelfTest/src/test.cpp	(revision 108)
@@ -59,5 +59,5 @@
     cout << "------------------------------------------------------" << endl;
 
-    Instance * instance = new Instance ("../../../Files/Instance_scalar_1.cfg",
+    Instance * instance = new Instance ("../../../Files/Instance_debug.cfg",
                                         generator1,
                                         _get_custom_information
@@ -68,39 +68,4 @@
   }
 
-  {
-    cout << "------------------------------------------------------" << endl;
-
-    Instance * instance = new Instance ("../../../Files/Instance_scalar_2.cfg",
-                                        generator1,
-                                        _get_custom_information
-                                        );
-    instance->toFile("data_out");
-    
-    delete instance;
-  }
-
-  {
-    cout << "------------------------------------------------------" << endl;
-
-    Instance * instance = new Instance ("../../../Files/Instance_scalar_3.cfg",
-                                        generator1,
-                                        _get_custom_information
-                                        );
-    instance->toFile("data_out");
-    
-    delete instance;
-  }
-
-  {
-    cout << "------------------------------------------------------" << endl;
-
-    Instance * instance = new Instance ("../../../Files/Instance_scalar_4.cfg",
-                                        generator1,
-                                        _get_custom_information
-                                        );
-    instance->toFile("data_out");
-    
-    delete instance;
-  }
 
   delete configuration1;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_fromFile.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_fromFile.cpp	(revision 101)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Simulator_fromFile.cpp	(revision 108)
@@ -45,25 +45,40 @@
         XML_t * xml = vect[i];
 
-        // Test node
-        testNodeName   (xml,"parameter");
-        testSingleton  (xml,true);        
+        std::string child_name = xml->getName();
 
-        // Take attributes of this tag
-
-        attributes_t attributes = xml->getAttributes();
-
-//         std::cout << "Node [" << name           << "]" << std::endl;
-//         std::cout << "  * nb attributes : " << xml->getAttributes().size()  << std::endl;
-
-        attribute_t value_name  = getAttribute(xml,attributes,"name" );
-        attribute_t value       = getAttribute(xml,attributes,"value");
-
-        testAttributesEmpty(xml,attributes);
-
-        // Insert in array
-        Parameter_affectation * param = new Parameter_affectation(value_name,
-                                                                  value     );
-
-        insert(param);
+        //--------------------------------------------
+        // Child : Parameter
+        //--------------------------------------------
+        if (child_name == "parameter")
+          {
+            // testNodeName   (xml,"parameter");
+            testSingleton  (xml,true);        
+            
+            // Take attributes of this tag
+            
+            attributes_t attributes = xml->getAttributes();
+            
+            //         std::cout << "Node [" << name           << "]" << std::endl;
+            //         std::cout << "  * nb attributes : " << xml->getAttributes().size()  << std::endl;
+            
+            attribute_t value_name  = getAttribute(xml,attributes,"name" );
+            attribute_t value       = getAttribute(xml,attributes,"value");
+            
+            testAttributesEmpty(xml,attributes);
+            
+            // Insert in array
+            Parameter_affectation * param = new Parameter_affectation(value_name,
+                                                                      value     );
+            
+            insert(param);
+          }
+        //--------------------------------------------
+        // Child : Simulation
+        //--------------------------------------------
+        else
+          {
+            testNodeName   (xml,"simulation");
+            testSingleton  (xml,true);
+          }
       }
          
